Apache 2.4+php 5.4 安装

下载Apache 2.4及依赖包

Apache官网下载:http://httpd.apache.org/download.cgi

由于Apache依赖于APR、APR-Util和PCRE,所以需要下载:

APR + APR-Util:http://apr.apache.org/download.cgi

PCRE:http://sourceforge.net/projects/pcre/files/pcre/

在此,笔者使用均为目前最新版本,Apache 1.4.6,APR 1.4.1,APR-Util
2.4.1,Perl 5.14.2,PCRE 8.30

一、简介

Apache HTTP Server(简称Apache)是Apache软件基金会的一个开放源码的网页服务器,可以在大多数计算机操作系统中运行,由于其多平台和安全性被广泛使用,是最流行的Web服务器端软件之一。它快速、可靠并且可通过简单的API扩展,将Perl/Python等解释器编译到服务器中。

安装依赖

二、准备

APR及APR-Util安装

解压缩APR及APR-Util

shell> sudo tar zxvf apr-1.4.6.tar.gz -C /opt/sources
shell> sudo tar zxvf apr-util-1.4.1.tar.gz -C /opt/sources

创建安装目录并创建软链接

shell> sudo mkdir /opt/software/develop/apr-1.4.6
shell> sudo mkdir /opt/software/develop/apr-util-1.4.1
shell> sudo ln -s /opt/software/develop/apr-1.4.6 /usr/local/apr
shell> sudo ln -s /opt/software/develop/apr-util-1.4.1 /usr/local/apr-util

安装APR及APR-Util

shell> cd /opt/sources/apr-1.4.6
shell> sudo ./configure –prefix=/usr/local/apr
shell> sudo make
shell> sudo make install

shell> cd /opt/sources/apr-util-1.4.1
shell> sudo ./configure –prefix=/usr/local/apr-util –with-apr=/usr/local/apr
shell> sudo make
shell> sudo make install

1、环境

系统平台:Red Hat
Enterprise Linux Server release 7.3 (Maipo)

内核版本:3.10.0-514.el7.x86_64

安装PCRE

首先请确定系统安装了Perl,Perl在此不再赘述,如有需要请去官网查看安装细则:http://www.cpan.org/src/README.html

解压缩PCRE

shell> sudo tar zxvf pcre-8.30.tar.gz -C /opt/sources

创建PCRE安装目录及软链接

shell> sudo mkdir /opt/software/develop/pcre-8.30
shell> sudo ln -s /opt/software/develop/pcre-8.30 /usr/local/pcre

安装PCRE

shell> cd /opt/sources/pcre-8.30
shell> sudo ./configure --prefix=/usr/local/pcre
shell> sudo make
shell> sudo make install

2、下载 APR 和 APR-Util包

http://apr.apache.org/download.cgi

安装Apache 2.4

解压缩Apache 2.4

shell> sudo tar zxvf httpd-2.4.2.tar.gz -C /opt/sources

创建Apache安装目录及软链接

shell> sudo mkdir /opt/software/develop/httpd-2.4.2
shell> sudo ln -s /opt/software/develop/httpd-2.4.2 /usr/local/apache2

安装Apache

shell> cd /opt/sources/httpd-2.4.2

# 此处请根据自己要搭建的环境进行配置,我这里是为了配置PHP环境
shell> sudo ./configure –prefix=/usr/local/apache2 –enable-so –enable-rewrite=shared –with-mpm=prefork –with-apr=/usr/local/apr –with-apr-util=/usr/local/apr-util –with-pcre=/usr/local/pcre

shell> sudo make
shell> sudo make install

3、下载pcre包

https://sourceforge.net/projects/pcre/files/pcre/

启动Apache

通过apachectl启动Apach

shell> sudo /usr/local/apache2/bin/apachectl start

检查是否有Apache进程

shell> ps aux | grep httpd

如果有Apache的进程,则证明启动成功,浏览器地址栏输入 http://localhost 试试吧~

启动成功之后,可以将apachectl拷贝到/etc/init.d下,作为service启动。

 

shell> sudo cp /usr/local/apache2/bin/apachectl /etc/init.d/httpd
shell> sudo service httpd start

 

 

以上内容转自http://www.cnblogs.com/rainisic/archive/2012/05/23/[Linux](http://www.jikexueyuan.com/course/linuxsys/)\_Apache2\_4\_Install.html

 

http://www.cnblogs.com/rainisic/archive/2012/05/23.html

debian上安装php时,configure一步可能会报:

    xml2-config not found. Please check your libxml2 installation 

用apt-get install libxm2 后,执行:

   ./configure –prefix=/usr/local/php –with-apxs2=/usr/local/apache/bin/apxs –with-libxml-dir=/usr/include/libxml2

 

apache中配置php支持,记得要在httpd.conf中加入:

LoadModule php5_module modules/libphp5.so
<FilesMatch \.php$>
    SetHandler application/x-httpd-php
</FilesMatch>

 

配置cgi支持,记得要在httpd.conf中加入:

LoadModule cgid_module modules/mod_cgid.so
AddHandler cgi-script .cgi

 


4、下载apache包

http://httpd.apache.org/download.cgi\#apache24

三、安装

按照官方文档的要求,必须安装APR、APR-Util、PCRE,gcc-c++等包,文档URL地址http://httpd.apache.org/docs/2.4/install.html

1、安装gcc相关依赖

# yum -y install  gcc*

相关文章